 

public class TriangleUtilities {

    public static String getRow(int numberOfStars) {
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < numberOfStars; i++){
            builder.append("*");
        }
        
        return builder.toString();
    }
    
    public static String getTriangle(int numberOfRows) {
        StringBuilder builder = new StringBuilder();
        for (int i = 1; i <= numberOfRows; i++){
            String s = getRow(i);
            builder.append(s + "\n");
        }
        return builder.toString();
    }


    public static String getSmallTriangle() {
        StringBuilder builder = new StringBuilder();
        for (int i = 1; i <= 4; i++){
            String s = getRow(i);
            builder.append(s + "\n");
        }
        return builder.toString();
    }

    public static String getLargeTriangle() {
        StringBuilder builder = new StringBuilder();
        for (int i = 1; i <= 9; i++){
            String s = getRow(i);
            builder.append(s + "\n");
        }
        return builder.toString();
    }
}
